=== debian/control ===
Source: tomlplusplus
Section: libs
Priority: optional
Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: catch2 <!nocheck>,
                    cmake,
                    cmark-gfm <!nodoc>,
                    locales-all <!nocheck>,
                    meson (>= 0.54.0),
                    nlohmann-json3-dev <!nocheck>,
                    pkg-config
Standards-Version: 4.6.1
Homepage: https://marzer.github.io/tomlplusplus/
Vcs-Git: https://salsa.debian.org/debian/tomlplusplus.git
Vcs-Browser: https://salsa.debian.org/debian/tomlplusplus
Rules-Requires-Root: no

Package: libtomlplusplus3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: TOML config parser and serializer for C++17
 tomlplusplus is a TOML config parser and serializer for C++17 supporting
 the following features:
 .
   - Supports the latest TOML release (v1.0.0), plus optional support for
     some unreleased TOML features
   - Passes all tests in the toml-test suite
   - Supports serializing to JSON and YAML
   - Proper UTF-8 handling (incl. BOM)
   - C++17 (plus some C++20 features where available)
   - Doesn't require RTTI
   - Works with or without exceptions
 .
 This package contains the shared library.

Package: libtomlplusplus-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libtomlplusplus3 (= ${binary:Version}),
         ${misc:Depends}
Recommends: libjs-highlight.js
Description: TOML config parser and serializer for C++17 - development files
 tomlplusplus is a TOML config parser and serializer for C++17 supporting
 the following features:
 .
   - Supports the latest TOML release (v1.0.0), plus optional support for
     some unreleased TOML features
   - Passes all tests in the toml-test suite
   - Supports serializing to JSON and YAML
   - Proper UTF-8 handling (incl. BOM)
   - C++17 (plus some C++20 features where available)
   - Doesn't require RTTI
   - Works with or without exceptions
 .
 This package contains the development files.
