=== debian/changelog ===
tomlplusplus (3.3.0+ds-1) unstable; urgency=medium

  * New upstream version 3.3.0+ds
  * d/patches: drop upstreamed patches
  * d/.symbols: add new char8_t symbols

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 04 Feb 2023 02:34:33 +0100
