=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                     meson (>= 0.54.0),
                     nlohmann-json3-dev <!nocheck>,
                     pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://marzer.github.io/tomlplusplus/
 Vcs-Git: https://salsa.debian.org/debian/tomlplusplus.git
 Vcs-Browser: https://salsa.debian.org/debian/tomlplusplus
