## tomlplusplus 3.4.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(
     tomlplusplus
-    VERSION 3.3.0
+    VERSION 3.4.0
     DESCRIPTION "Header-only TOML config file parser and serializer for C++17"
     HOMEPAGE_URL "https://marzer.github.io/tomlplusplus/"
     LANGUAGES CXX
