=== debian/changelog ===
tomlplusplus (3.4.0+ds-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062988

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 18:24:36 +0000

tomlplusplus (3.4.0+ds-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Keep vendored catch2
  * New upstream version 3.4.0+ds
  * d/copyright: Add catch2 info

 -- Bastian Germann <bage@debian.org>  Sat, 04 Nov 2023 14:44:17 +0100
