=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
-Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: catch2 <!nocheck>,
-                    cmake,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
+Build-Depends-Arch: dpkg-dev (>= 1.22.5), cmake,
                     cmark-gfm <!nodoc>,
                     locales-all <!nocheck>,
                     meson (>= 0.54.0),
@@ -16,7 +15,10 @@
 Vcs-Browser: https://salsa.debian.org/debian/tomlplusplus
 Rules-Requires-Root: no
 
-Package: libtomlplusplus3
+Package: libtomlplusplus3t64
+Provides: ${t64:Provides}
+Replaces: libtomlplusplus3
+Breaks: libtomlplusplus3 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -41,7 +43,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libtomlplusplus3 (= ${binary:Version}),
+Depends: libtomlplusplus3t64 (= ${binary:Version}),
          ${misc:Depends}
 Recommends: libjs-highlight.js
 Description: TOML config parser and serializer for C++17 - development files
