=== debian/tests/control ===
Tests: cmake, pkgconfig
Depends: @, g++ | c++-compiler, cmake, pkg-config
